<?php
/**
 * @file
 * deims_data_source.features.field.inc
 */

/**
 * Implements hook_field_default_fields().
 */
function deims_data_source_field_default_fields() {
  $fields = array();

  // Exported field: 'node-data_source-field_csv_field_delimiter'.
  $fields['node-data_source-field_csv_field_delimiter'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_csv_field_delimiter',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(
        'max_length' => '5',
      ),
      'translatable' => '0',
      'type' => 'text',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => array(
        0 => array(
          'value' => ',',
        ),
      ),
      'deleted' => '0',
      'description' => 'How are the columns separated? are the columns comma-delimited, Tab-delimited, or some other character, as a vertical bar, etc? We call the used delimiter a "field delimiter".',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '12',
        ),
        'default' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '12',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '5',
        ),
        'full' => array(
          'label' => 'inline',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '9',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '13',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_csv_field_delimiter',
      'label' => 'Field delimiter',
      'required' => 1,
      'settings' => array(
        'text_processing' => '0',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'select_or_other',
        'settings' => array(
          'available_options' => ',|Comma (,)',
          'available_options_php' => '',
          'markup_available_options_php' => '&lt;none&gt;',
          'other' => 'Other',
          'other_size' => '5',
          'other_title' => '',
          'other_unknown_defaults' => 'other',
          'sort_options' => 0,
        ),
        'type' => 'select_or_other',
        'weight' => '13',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'node-data_source-field_csv_footer_lines'.
  $fields['node-data_source-field_csv_footer_lines'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_csv_footer_lines',
      'foreign keys' => array(),
      'indexes' => array(),
      'locked' => '0',
      'module' => 'number',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'number_integer',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'The number of lines in a spreadsheet trailing the actual data. Example, 0, when no lines trail the data.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'number',
          'settings' => array(),
          'type' => 'number_unformatted',
          'weight' => '9',
        ),
        'default' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '9',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'number',
          'settings' => array(),
          'type' => 'number_unformatted',
          'weight' => '2',
        ),
        'full' => array(
          'label' => 'inline',
          'module' => 'number',
          'settings' => array(
            'decimal_separator' => '.',
            'prefix_suffix' => TRUE,
            'scale' => 0,
            'thousand_separator' => ' ',
          ),
          'type' => 'number_integer',
          'weight' => '6',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'number',
          'settings' => array(),
          'type' => 'number_unformatted',
          'weight' => '10',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_csv_footer_lines',
      'label' => 'Footer lines',
      'required' => 0,
      'settings' => array(
        'max' => '',
        'min' => '0',
        'prefix' => '',
        'suffix' => '',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 0,
        'module' => 'number',
        'settings' => array(),
        'type' => 'number',
        'weight' => '9',
      ),
    ),
  );

  // Exported field: 'node-data_source-field_csv_header_lines'.
  $fields['node-data_source-field_csv_header_lines'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_csv_header_lines',
      'foreign keys' => array(),
      'indexes' => array(),
      'locked' => '0',
      'module' => 'number',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'number_integer',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => array(
        0 => array(
          'value' => '1',
        ),
      ),
      'deleted' => '0',
      'description' => 'The number of lines at the top of the spreadsheet not containing any actual data. Example: When the first line contains column labels, the number of header lines is one.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'number',
          'settings' => array(
            'decimal_separator' => '.',
            'prefix_suffix' => TRUE,
            'scale' => 0,
            'thousand_separator' => ' ',
          ),
          'type' => 'number_integer',
          'weight' => '8',
        ),
        'default' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '8',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'number',
          'settings' => array(),
          'type' => 'number_unformatted',
          'weight' => '1',
        ),
        'full' => array(
          'label' => 'inline',
          'module' => 'number',
          'settings' => array(
            'decimal_separator' => '.',
            'prefix_suffix' => TRUE,
            'scale' => 0,
            'thousand_separator' => ' ',
          ),
          'type' => 'number_integer',
          'weight' => '5',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'number',
          'settings' => array(),
          'type' => 'number_unformatted',
          'weight' => '8',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_csv_header_lines',
      'label' => 'Header lines',
      'required' => 0,
      'settings' => array(
        'max' => '',
        'min' => '0',
        'prefix' => '',
        'suffix' => '',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 0,
        'module' => 'number',
        'settings' => array(),
        'type' => 'number',
        'weight' => '8',
      ),
    ),
  );

  // Exported field: 'node-data_source-field_csv_orientation'.
  $fields['node-data_source-field_csv_orientation'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'description' => '<em>Column</em> is the most typical CSV orientation. If your CSV file\'s lines each contain a header, and all the data for that header, then select <em>Row</em> orientation.',
      'entity_types' => array(),
      'field_name' => 'field_csv_orientation',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(),
      'indexes' => array(
        'value' => array(
          0 => 'value',
        ),
      ),
      'locked' => '0',
      'module' => 'list',
      'settings' => array(
        'allowed_values' => array(
          'column' => 'Column',
          'row' => 'Row',
        ),
        'allowed_values_function' => '',
      ),
      'translatable' => '0',
      'type' => 'list_text',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => array(
        0 => array(
          'value' => 'column',
        ),
      ),
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'list',
          'settings' => array(),
          'type' => 'list_key',
          'weight' => '10',
        ),
        'default' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '10',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'list',
          'settings' => array(),
          'type' => 'list_key',
          'weight' => '4',
        ),
        'full' => array(
          'label' => 'inline',
          'module' => 'list',
          'settings' => array(),
          'type' => 'list_default',
          'weight' => '7',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'list',
          'settings' => array(),
          'type' => 'list_default',
          'weight' => '9',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_csv_orientation',
      'label' => 'Orientation',
      'required' => 1,
      'settings' => array(
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'options',
        'settings' => array(
          'apply_chosen' => 0,
        ),
        'type' => 'options_select',
        'weight' => '10',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'node-data_source-field_csv_quote_character'.
  $fields['node-data_source-field_csv_quote_character'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_csv_quote_character',
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(
        'max_length' => '5',
      ),
      'translatable' => '0',
      'type' => 'text',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'The symbols used to quote text, whether single quotes or double quotes.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'bdp',
          'settings' => array(),
          'type' => 'bdp_text',
          'weight' => '11',
        ),
        'default' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '11',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '6',
        ),
        'full' => array(
          'label' => 'inline',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '8',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'iso',
          'settings' => array(),
          'type' => 'iso_text',
          'weight' => '11',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_csv_quote_character',
      'label' => 'Quote character',
      'required' => 0,
      'settings' => array(
        'text_processing' => '0',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'select_or_other',
        'settings' => array(
          'available_options' => '\'|Single Quote
"|Double Quote',
          'available_options_php' => '',
          'markup_available_options_php' => '&lt;none&gt;',
          'other' => 'Other',
          'other_size' => '5',
          'other_title' => '',
          'other_unknown_defaults' => 'other',
          'sort_options' => 0,
        ),
        'type' => 'select_or_other',
        'weight' => '11',
      ),
    ),
  );

  // Exported field: 'node-data_source-field_csv_record_delimiter'.
  $fields['node-data_source-field_csv_record_delimiter'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_csv_record_delimiter',
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(
        'max_length' => '5',
      ),
      'translatable' => '0',
      'type' => 'text',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'The character used to delimit or separate records (usually a new line - in case of doubt, leave empty).',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '13',
        ),
        'default' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '13',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '3',
        ),
        'full' => array(
          'label' => 'inline',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '10',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '12',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_csv_record_delimiter',
      'label' => 'Record delimiter',
      'required' => 0,
      'settings' => array(
        'text_processing' => '0',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'select_or_other',
        'settings' => array(
          'available_options' => '\\n|Newline (Unix, \\n)
\\r\\n|Newline (Windows, \\r\\n)
\\r|Newline (some Macs, \\r)
;|Semicolon ( ; )',
          'available_options_php' => '',
          'markup_available_options_php' => '&lt;none&gt;',
          'other' => 'Other',
          'other_size' => '5',
          'other_title' => '',
          'other_unknown_defaults' => 'other',
          'sort_options' => 0,
        ),
        'type' => 'select_or_other',
        'weight' => '14',
      ),
    ),
  );

  // Exported field: 'node-data_source-field_data_source_file'.
  $fields['node-data_source-field_data_source_file'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_data_source_file',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'fid' => array(
          'columns' => array(
            'fid' => 'fid',
          ),
          'table' => 'file_managed',
        ),
      ),
      'indexes' => array(
        'fid' => array(
          0 => 'fid',
        ),
      ),
      'locked' => '0',
      'module' => 'file',
      'settings' => array(
        'delete_on_parent_delete' => '',
        'display_default' => 0,
        'display_field' => 0,
        'uri_scheme' => 'public',
      ),
      'translatable' => '0',
      'type' => 'file',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'deleted' => '0',
      'description' => 'Upload the actual spreadsheet containing the data.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'file',
          'settings' => array(),
          'type' => 'file_url_plain',
          'weight' => '1',
        ),
        'default' => array(
          'label' => 'above',
          'module' => 'file',
          'settings' => array(),
          'type' => 'file_default',
          'weight' => '1',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'file',
          'settings' => array(),
          'type' => 'file_url_plain',
          'weight' => '7',
        ),
        'full' => array(
          'label' => 'inline',
          'module' => 'file_entity',
          'settings' => array(
            'text' => '[file:basename]',
          ),
          'type' => 'file_download_link',
          'weight' => '2',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'file',
          'settings' => array(),
          'type' => 'file_url_plain',
          'weight' => '1',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_data_source_file',
      'label' => 'File upload',
      'required' => 1,
      'settings' => array(
        'description_field' => 0,
        'file_directory' => 'data',
        'file_extensions' => 'txt xls xlsx csv fhx rtf xml doc docx dbf zip',
        'max_filesize' => '1 GB',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'file',
        'settings' => array(
          'filefield_sources' => array(
            'filefield_sources' => array(
              'attach' => 'attach',
              'clipboard' => 0,
              'reference' => 0,
              'remote' => 0,
              'upload' => 'upload',
            ),
            'source_attach' => array(
              'absolute' => '0',
              'attach_mode' => 'copy',
              'path' => 'data',
            ),
            'source_imce' => array(
              'imce_mode' => 0,
            ),
            'source_reference' => array(
              'autocomplete' => '0',
            ),
          ),
          'progress_indicator' => 'bar',
        ),
        'type' => 'file_generic',
        'weight' => '7',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'node-data_source-field_date_range'.
  $fields['node-data_source-field_date_range'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_date_range',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(),
      'indexes' => array(),
      'locked' => '0',
      'module' => 'date',
      'settings' => array(
        'cache_count' => '4',
        'cache_enabled' => 0,
        'granularity' => array(
          'day' => 'day',
          'hour' => 0,
          'minute' => 0,
          'month' => 'month',
          'second' => 0,
          'year' => 'year',
        ),
        'timezone_db' => '',
        'todate' => 'required',
        'tz_handling' => 'none',
      ),
      'translatable' => '0',
      'type' => 'datetime',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'bdp',
          'settings' => array(),
          'type' => 'date_bdp_temporalCoverage',
          'weight' => '14',
        ),
        'default' => array(
          'label' => 'above',
          'module' => 'date',
          'settings' => array(
            'format_type' => 'long',
            'fromto' => 'both',
            'multiple_from' => '',
            'multiple_number' => '',
            'multiple_to' => '',
          ),
          'type' => 'date_default',
          'weight' => '14',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'eml',
          'settings' => array(),
          'type' => 'date_eml_temporalCoverage',
          'weight' => '8',
        ),
        'full' => array(
          'label' => 'above',
          'module' => 'date',
          'settings' => array(
            'format_type' => 'long',
            'fromto' => 'both',
            'multiple_from' => '',
            'multiple_number' => '',
            'multiple_to' => '',
          ),
          'type' => 'date_default',
          'weight' => '0',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'iso',
          'settings' => array(),
          'type' => 'date_iso_temporalCoverage',
          'weight' => '7',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_date_range',
      'label' => 'Date Range',
      'required' => 0,
      'settings' => array(
        'default_value' => 'blank',
        'default_value2' => 'same',
        'default_value_code' => '',
        'default_value_code2' => '',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'date',
        'settings' => array(
          'display_all_day' => 0,
          'increment' => '30',
          'input_format' => 'm/d/Y - H:i:s',
          'input_format_custom' => '',
          'label_position' => 'above',
          'text_parts' => array(),
          'year_range' => '1900:+10',
        ),
        'type' => 'date_popup',
        'weight' => '9',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'node-data_source-field_description'.
  $fields['node-data_source-field_description'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_description',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'text_long',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'A description of the spreadsheet or text file containing the data.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '0',
        ),
        'default' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '0',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '0',
        ),
        'full' => array(
          'label' => 'hidden',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '0',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '0',
        ),
      ),
      'ds_extras_field_template' => '',
      'entity_type' => 'node',
      'field_name' => 'field_description',
      'label' => 'Description',
      'required' => 0,
      'settings' => array(
        'text_processing' => '1',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'text',
        'settings' => array(
          'rows' => '5',
        ),
        'type' => 'text_textarea',
        'weight' => '1',
      ),
      'workbench_access_field' => 0,
    ),
  );

  // Exported field: 'node-data_source-field_instrumentation'.
  $fields['node-data_source-field_instrumentation'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '-1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_instrumentation',
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'text_long',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'Information about the instruments used to gather data.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '4',
        ),
        'default' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '4',
        ),
        'eml' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '12',
        ),
        'full' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '8',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'iso',
          'settings' => array(),
          'type' => 'iso_text',
          'weight' => '3',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_instrumentation',
      'label' => 'Instrumentation',
      'required' => 0,
      'settings' => array(
        'text_processing' => '1',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'text',
        'settings' => array(
          'rows' => '4',
        ),
        'type' => 'text_textarea',
        'weight' => '5',
      ),
    ),
  );

  // Exported field: 'node-data_source-field_methods'.
  $fields['node-data_source-field_methods'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '-1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_methods',
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'text_long',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'The methodologies used to gather these data.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '3',
        ),
        'default' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '3',
        ),
        'eml' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '11',
        ),
        'full' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '7',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'iso',
          'settings' => array(),
          'type' => 'iso_text',
          'weight' => '2',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_methods',
      'label' => 'Methods',
      'required' => 0,
      'settings' => array(
        'text_processing' => '1',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'text',
        'settings' => array(
          'rows' => '4',
        ),
        'type' => 'text_textarea',
        'weight' => '4',
      ),
    ),
  );

  // Exported field: 'node-data_source-field_quality_assurance'.
  $fields['node-data_source-field_quality_assurance'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_quality_assurance',
      'foreign keys' => array(
        'format' => array(
          'columns' => array(
            'format' => 'format',
          ),
          'table' => 'filter_format',
        ),
      ),
      'indexes' => array(
        'format' => array(
          0 => 'format',
        ),
      ),
      'locked' => '0',
      'module' => 'text',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'text_long',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'Quality assurance and control procedures used.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '5',
        ),
        'default' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '5',
        ),
        'eml' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '13',
        ),
        'full' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_default',
          'weight' => '9',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'text',
          'settings' => array(),
          'type' => 'text_plain',
          'weight' => '4',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_quality_assurance',
      'label' => 'Quality Assurance',
      'required' => 0,
      'settings' => array(
        'text_processing' => '1',
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'text',
        'settings' => array(
          'rows' => '5',
        ),
        'type' => 'text_textarea',
        'weight' => '6',
      ),
    ),
  );

  // Exported field: 'node-data_source-field_related_sites'.
  $fields['node-data_source-field_related_sites'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '-1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_related_sites',
      'field_permissions' => array(
        'type' => '0',
      ),
      'foreign keys' => array(
        'node' => array(
          'columns' => array(
            'target_id' => 'nid',
          ),
          'table' => 'node',
        ),
      ),
      'indexes' => array(
        'target_id' => array(
          0 => 'target_id',
        ),
      ),
      'locked' => '0',
      'module' => 'entityreference',
      'settings' => array(
        'delete_on_parent_delete' => '',
        'handler' => 'base',
        'handler_settings' => array(
          'behaviors' => array(
            'views-select-list' => array(
              'status' => 1,
            ),
          ),
          'sort' => array(
            'direction' => 'ASC',
            'property' => 'title',
            'type' => 'property',
          ),
          'target_bundles' => array(
            'research_site' => 'research_site',
          ),
        ),
        'target_type' => 'node',
      ),
      'translatable' => '0',
      'type' => 'entityreference',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => 'Type the name of the location site and select from the list the site where the data was gathered. If you do not see it, please type the location name - you will be able to add details to the new site later. If data was gathered at more than one site, please use the "Add another item" button right below to add input field for additional sites.',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'bdp',
          'settings' => array(
            'element' => 'spdom',
            'multiple' => 0,
          ),
          'type' => 'entityreference_bdp_element',
          'weight' => '6',
        ),
        'default' => array(
          'label' => 'above',
          'module' => 'entityreference',
          'settings' => array(
            'link' => FALSE,
          ),
          'type' => 'entityreference_label',
          'weight' => '6',
        ),
        'eml' => array(
          'label' => 'above',
          'settings' => array(),
          'type' => 'hidden',
          'weight' => '14',
        ),
        'full' => array(
          'label' => 'above',
          'module' => 'entityreference',
          'settings' => array(
            'link' => 1,
          ),
          'type' => 'entityreference_label',
          'weight' => '6',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'iso',
          'settings' => array(
            'element' => '',
            'multiple' => 0,
          ),
          'type' => 'entityreference_iso_element',
          'weight' => '5',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_related_sites',
      'label' => 'Related sites',
      'required' => 0,
      'settings' => array(
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 1,
        'module' => 'entityreference',
        'settings' => array(
          'match_operator' => 'CONTAINS',
          'path' => '',
          'size' => '60',
        ),
        'type' => 'entityreference_autocomplete',
        'weight' => '7',
      ),
    ),
  );

  // Exported field: 'node-data_source-field_variables'.
  $fields['node-data_source-field_variables'] = array(
    'field_config' => array(
      'active' => '1',
      'cardinality' => '-1',
      'deleted' => '0',
      'entity_types' => array(),
      'field_name' => 'field_variables',
      'foreign keys' => array(),
      'indexes' => array(
        'id' => array(
          0 => 'id',
        ),
        'label' => array(
          0 => 'label',
        ),
        'name' => array(
          0 => 'name',
        ),
        'type' => array(
          0 => 'type',
        ),
      ),
      'locked' => '0',
      'module' => 'deims_variable',
      'settings' => array(),
      'translatable' => '0',
      'type' => 'deims_variable',
    ),
    'field_instance' => array(
      'bundle' => 'data_source',
      'default_value' => NULL,
      'deleted' => '0',
      'description' => '',
      'display' => array(
        'bdp' => array(
          'label' => 'above',
          'module' => 'deims_variable',
          'settings' => array(),
          'type' => 'bdp_attribute_list',
          'weight' => '7',
        ),
        'default' => array(
          'label' => 'above',
          'module' => 'deims_variable',
          'settings' => array(),
          'type' => 'deims_variable_summary',
          'weight' => '7',
        ),
        'eml' => array(
          'label' => 'above',
          'module' => 'deims_variable',
          'settings' => array(),
          'type' => 'eml_attribute_list',
          'weight' => '9',
        ),
        'full' => array(
          'label' => 'hidden',
          'module' => 'deims_variable',
          'settings' => array(),
          'type' => 'deims_variable_summary',
          'weight' => '4',
        ),
        'iso' => array(
          'label' => 'above',
          'module' => 'deims_variable',
          'settings' => array(),
          'type' => 'iso_attribute_list',
          'weight' => '6',
        ),
      ),
      'entity_type' => 'node',
      'field_name' => 'field_variables',
      'label' => 'Variables',
      'required' => 0,
      'settings' => array(
        'user_register_form' => FALSE,
      ),
      'widget' => array(
        'active' => 0,
        'module' => 'deims_variable',
        'settings' => array(),
        'type' => 'deims_variable_default',
        'weight' => '2',
      ),
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('A description of the spreadsheet or text file containing the data.');
  t('Date Range');
  t('Description');
  t('Field delimiter');
  t('File upload');
  t('Footer lines');
  t('Header lines');
  t('How are the columns separated? are the columns comma-delimited, Tab-delimited, or some other character, as a vertical bar, etc? We call the used delimiter a "field delimiter".');
  t('Information about the instruments used to gather data.');
  t('Instrumentation');
  t('Methods');
  t('Orientation');
  t('Quality Assurance');
  t('Quality assurance and control procedures used.');
  t('Quote character');
  t('Record delimiter');
  t('Related sites');
  t('The character used to delimit or separate records (usually a new line - in case of doubt, leave empty).');
  t('The methodologies used to gather these data.');
  t('The number of lines at the top of the spreadsheet not containing any actual data. Example: When the first line contains column labels, the number of header lines is one.');
  t('The number of lines in a spreadsheet trailing the actual data. Example, 0, when no lines trail the data.');
  t('The symbols used to quote text, whether single quotes or double quotes.');
  t('Type the name of the location site and select from the list the site where the data was gathered. If you do not see it, please type the location name - you will be able to add details to the new site later. If data was gathered at more than one site, please use the "Add another item" button right below to add input field for additional sites.');
  t('Upload the actual spreadsheet containing the data.');
  t('Variables');

  return $fields;
}
